version: '3.3'

services:

    images:
        build:
            context: .
            dockerfile: Dockerfile
        entrypoint: ['/usr/src/app/entrypoint.sh']
        volumes:
            - .:/usr/src/app
        ports:
            - 5001:5000
        environment:
            - FLASK_ENV=development
            - APP_SETTINGS=project.config.DevelopmentConfig
            - DATABASE_URL=postgresql://postgres:postgres@images-db:5432/images_dev 
            - DATABASE_TEST_URL=postgresql://postgres:postgres@images-db:5432/images_test
            - IMAGE_STORAGE_LOCATION=/usr/src/app/static
        depends_on: 
            - images-db
        
    images-db:
        build:
            context: ./project/db
            dockerfile: Dockerfile
        expose:
            - 5432
        environment: 
            - POSTGRES_USER=postgres
            - POSTGRES_PASSWORD=postgres